Subject: Re: linux-next: manual merge of the rust tree with the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 14 May 2024 10:20:02 +1000

Hi all,

On Mon, 6 May 2024 15:33:33 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the rust tree got a conflict in:
> 
>   rust/Makefile
> 
> between commit:
> 
>   7c972986689b ("kbuild: use $(src) instead of $(srctree)/$(src) for source directory")
> 
> from the kbuild tree and commit:
> 
>   11795ae4cc43 ("kbuild: use the upstream `alloc` crate")
> 
> from the rust tree.
> 
> I fixed it up (the latter commit removed a line updated by the former,
> so I did that) and can carry the fix as necessary. This is now fixed as
> far as linux-next is concerned, but any non trivial conflicts should be
> mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

This is now a conflict between the kbuild tree and Linus' tree.

-- 
Cheers,
Stephen Rothwell